import _defineProperty from "@babel/runtime-corejs3/helpers/esm/defineProperty";
import RelativeJsonPointerError from "./RelativeJsonPointerError.js";
export default class InvalidRelativeJsonPointerError extends RelativeJsonPointerError {
  constructor(message, structuredOptions) {
    super(message, structuredOptions);
    _defineProperty(this, "relativePointer", void 0);
    if (typeof structuredOptions !== 'undefined') {
      this.relativePointer = structuredOptions.relativePointer;
    }
  }
}